import { canonicalURL as utilCanonicalURL } from "../util.js";
function createRequest(method, pathname, headers, origin, site, ssr) {
  const url = new URL("." + pathname, new URL(origin));
  const canonicalURL = utilCanonicalURL("." + pathname, site ?? url.origin);
  const request = {
    url,
    canonicalURL,
    params: {},
    headers,
    method
  };
  if (!ssr) {
    request.headers = new Headers();
    request.url = new URL(request.url);
    for (const [key] of request.url.searchParams) {
      request.url.searchParams.delete(key);
    }
  }
  return request;
}
export {
  createRequest
};
