const STATUS_CODE_PAGE_REGEXP = /\/[0-9]{3}\/?$/;
function generateSitemap(pages, filter) {
  let urls = [...pages].filter((url) => !STATUS_CODE_PAGE_REGEXP.test(url));
  if (filter) {
    urls = urls.filter((url) => filter(url));
  }
  urls.sort((a, b) => a.localeCompare(b, "en", { numeric: true }));
  let sitemap = `<?xml version="1.0" encoding="UTF-8"?><urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">`;
  for (const url of urls) {
    sitemap += `<url><loc>${url}</loc></url>`;
  }
  sitemap += `</urlset>
`;
  return sitemap;
}
export {
  generateSitemap
};
