function createRouteData(pattern, params, component, pathname) {
  return {
    type: "page",
    pattern,
    params,
    component,
    generate: () => "",
    pathname: pathname || void 0
  };
}
function serializeRouteData(routeData) {
  const outRouteData = routeData;
  outRouteData.pattern = routeData.pattern.source;
  return outRouteData;
}
function deserializeRouteData(rawRouteData) {
  const { component, params, pathname } = rawRouteData;
  const pattern = new RegExp(rawRouteData.pattern);
  return createRouteData(pattern, params, component, pathname);
}
export {
  deserializeRouteData,
  serializeRouteData
};
