import type { ComponentInstance, MarkdownRenderOptions, Params, Props, SSRLoadedRenderer, RouteData, SSRElement } from '../../@types/astro';
import type { LogOptions } from '../logger.js';
import { RouteCache } from './route-cache.js';
interface GetParamsAndPropsOptions {
    mod: ComponentInstance;
    route?: RouteData | undefined;
    routeCache: RouteCache;
    pathname: string;
    logging: LogOptions;
    ssr: boolean;
}
export declare const enum GetParamsAndPropsError {
    NoMatchingStaticPath = 0
}
export declare function getParamsAndProps(opts: GetParamsAndPropsOptions): Promise<[Params, Props] | GetParamsAndPropsError>;
export interface RenderOptions {
    legacyBuild: boolean;
    logging: LogOptions;
    links: Set<SSRElement>;
    markdownRender: MarkdownRenderOptions;
    mod: ComponentInstance;
    origin: string;
    pathname: string;
    scripts: Set<SSRElement>;
    resolve: (s: string) => Promise<string>;
    renderers: SSRLoadedRenderer[];
    route?: RouteData;
    routeCache: RouteCache;
    site?: string;
    ssr: boolean;
    method: string;
    headers: Headers;
}
export declare function render(opts: RenderOptions): Promise<{
    type: 'html';
    html: string;
} | {
    type: 'response';
    response: Response;
}>;
export {};
